%global pname   ttxtsubs
%global __provides_exclude_from ^%{vdr_plugindir}/.*\\.so.*$

Name:           vdr-%{pname}
Version:        0.3.0
Release:        14%{?dist}
Summary:        Teletext subtitles plugin for VDR

License:        GPLv2+
URL:            https://projects.vdr-developer.org/projects/show/plg-ttxtsubs
Source0:        https://projects.vdr-developer.org/attachments/download/1281/%{name}-%{version}.tar.gz
Source1:        %{name}.conf
# https://projects.vdr-developer.org/git/vdr-plugin-ttxtsubs.git/commit/?id=ac89f6a027bf2cecafe376dd9deef7cfd80c0ac3
Patch0:         0001-Fix-build-with-std-c-11.patch

BuildRequires:  vdr-devel >= 1.7.6
Requires:       vdr(abi)%{?_isa} = %{vdr_apiversion}

%description
This VDR plugin implements displaying, recording and replaying
teletext based subtitles using the on screen display.


%prep
%autosetup -n %{pname}-%{version}
sed -i -e 's|ConfigDirectory("ttxtsubs")|"%{vdr_vardir}/%{pname}"|' \
    ttxtsubs.c


%build
make %{?_smp_mflags}


%install
%make_install
install -Dpm 644 %{SOURCE1} \
    $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
install -dm 755 $RPM_BUILD_ROOT%{vdr_vardir}/%{pname}
cat /dev/null >$RPM_BUILD_ROOT%{vdr_vardir}/%{pname}/channelsettings.dat
%find_lang %{name}


%files -f %{name}.lang
%defattr(-,%{vdr_user},root,-)
%dir %{vdr_vardir}/%{pname}/
%ghost %config(noreplace) %{vdr_vardir}/%{pname}/channelsettings.dat
%defattr(-,root,root,-)
%license COPYING
%doc HISTORY README TROUBLESHOOTING
%config(noreplace) %{_sysconfdir}/sysconfig/vdr-plugins.d/%{pname}.conf
%{vdr_plugindir}/libvdr-%{pname}.so.%{vdr_apiversion}


%changelog
* Sun Feb  7 2016 Ville Skyttä <ville.skytta@iki.fi> - 0.3.0-14
- Patch to fix build with -std=c++11

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 0.3.0-11
- Rebuilt for GCC 5 C++11 ABI change

* Thu Feb 19 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.3.0-10
- Rebuild

* Sat Jan 31 2015 Ville Skyttä <ville.skytta@iki.fi> - 0.3.0-9
- Ship COPYING as %%license

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Apr 24 2014 Ville Skyttä <ville.skytta@iki.fi> - 0.3.0-6
- Rebuild

* Sun Mar 23 2014 Ville Skyttä <ville.skytta@iki.fi> - 0.3.0-5
- Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Mar 31 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.3.0-3
- Rebuild.

* Sat Mar 16 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.3.0-2
- Rebuild.

* Wed Mar 13 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.3.0-1
- Update to 0.3.0.

* Sun Mar 03 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-16.20120718git
- Rebuild.

* Mon Feb 18 2013 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-15.20120718git
- Update PTS sync patch to v3.

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-14.20120718git
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Oct 02 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-13.20120718git
- Rebuild.

* Thu Sep 13 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-12.20120718git
- Rebuild.

* Thu Jul 19 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-11.20120718git
- Rebuild.

* Wed Jul 18 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-10.20120718git
- Update to current upstream git + PTS sync patch from upstream BTS.

* Fri Jun 29 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-10
- Rebuild.

* Tue Mar 27 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-9
- Rebuild.

* Sun Mar 11 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-8
- Adapt to VDR 1.7.26.

* Sun Mar 11 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-7
- Rebuild.

* Tue Mar 06 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-6
- Rebuild.

* Mon Feb 20 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-5
- Rebuild.

* Sun Jan 15 2012 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-4
- Rebuild.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Dec  4 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-2
- Rebuild.

* Sun Nov  6 2011 Ville Skyttä <ville.skytta@iki.fi> - 0.2.4-1
- Update to 0.2.4.
- Clean up specfile constructs no longer needed with Fedora or EL6+.

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep  3 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.0.9-4
- Filter out autoprovided libvdr-*.so.* (if %%filter_setup is available).

* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.0.9-3
- Use ISA qualified dependency to vdr(abi).
- Use %%global instead of %%define.

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue Apr  7 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.0.9-1
- 0.0.9.

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Jan  6 2009 Ville Skyttä <ville.skytta@iki.fi> - 0.0.8-1
- 0.0.8.
- License: GPLv2+ (already since 0.0.6).

* Fri Dec 19 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.7-1
- 0.0.7.

* Mon Dec 15 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.6-1
- 0.0.6 (new community upstream), patches applied upstream.

* Mon Nov 24 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-6
- Rebuild.

* Mon Apr  7 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-5
- Rebuild for VDR 1.6.0.

* Sat Feb 16 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-4
- Rebuild.

* Wed Jan 23 2008 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-3
- Update raastinrauta patch to 2008-01-22.

* Mon Oct 15 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-2
- Rebuild.

* Sun Sep 30 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-1
- License: GPL+
- Raastinrauta patch re-re-re-re-re-released.

* Tue Aug 28 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.10
- Raastinrauta patch re-re-re-released.

* Fri Aug 24 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.9
- Raastinrauta patch re-re-released.

* Thu Aug  2 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.8
- Raastinrauta patch re-released.

* Wed Jul 25 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.7
- Update Rofa's patch to raastinrauta edition.

* Tue Apr 10 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.6
- Update Rofa's patch to kermanekka edition, changes from 0.0.5-0.5 applied.

* Mon Apr  9 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.5
- Fix plugin init/shutdown with newish VDR; avoids crashes at shutdown.
- Clean up logging.

* Sat Jan 20 2007 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.4
- Update Rofa's patch to pippurimylly edition.

* Sun Nov 12 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.3
- Move channel settings to /var/lib/vdr.

* Sat Nov 11 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.2
- Own /etc/vdr/plugins/ttxtsubs.

* Sat Nov 11 2006 Ville Skyttä <ville.skytta@iki.fi> - 0.0.5-0.1
- First build.
